<ion-content class="ion-padding">
    <form on:submit|preventDefault={sendInvitation} on:change={validate}>
        <ion-item>
            <ion-label position="floating">Email Addresses</ion-label>
            <ion-textarea rows="10" on:keyup={(e) => emails = e.currentTarget.value }></ion-textarea>
        </ion-item>
        <ion-button type="submit" expand="block">Send Invitations</ion-button>
    </form>
</ion-content>



<script>
import {navigateTo} from 'svelte-grouter'
import * as outingService from '/lib/OutingsService'
import {activeOutingStore} from '/client/OutingsStore'
import moment from 'moment'
import {layoutStore} from '/client/LayoutStore'

$layoutStore.title = 'Invite Players'
$layoutStore.showBack = true
let invalidFields = {}, submitted = false
$: console.log(invalidFields) // logging invalid fields until we figure out ionic form validation
$: outing = $activeOutingStore

let emails = '';

function sendInvitation() {
    submitted = true
    if (!validate()) return false

    let splitEmails = emails.split('\n');
    let uniqueEmails = new Set(splitEmails);

    uniqueEmails.forEach( email => {
        outingService.sendInvitation(outing, email).catch( () => {
            //todo Toast
            console.error('Error sending email...');
        });
    });

    navigateTo('myOutings');

}

function validate() {
    // if (submitted) {
    //     invalidFields = scoresService.validate(score)
    //     if (Object.keys(invalidFields).length > 0 ) {
    //         return false
    //     }
    // }
    return true
}


</script>

<style>
ion-button {
    margin-top: 50px;
}
</style>